# Method: entries.lookup

- [HTTP request](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/entries/lookup#body.HTTP_TEMPLATE)
- [Query parameters](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/entries/lookup#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/entries/lookup#body.request_body)
- [Response body](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/entries/lookup#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/entries/lookup#body.aspect)
- [Try it!](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/entries/lookup#try-it)

> [!WARNING]
> Data Catalog is deprecated. Please use Dataplex Universal Catalog instead.

Gets an entry by its target resource name.

The resource name comes from the source Google Cloud Platform service.

### HTTP request

`GET https://datacatalog.googleapis.com/v1/entries:lookup`

### Query parameters

| Parameters ||
|---|---|
| `project` | `string` Project where the lookup should be performed. Required to lookup entry that is not a part of `DPMS` or `DATAPLEX` `integratedSystem` using its `fullyQualifiedName`. Ignored in other cases. |
| `location` | `string` Location where the lookup should be performed. Required to lookup entry that is not a part of `DPMS` or `DATAPLEX` `integratedSystem` using its `fullyQualifiedName`. Ignored in other cases. |
| Union parameter `target_name`. Required. A full name, SQL name, or a fully qualified name of a Google Cloud Platform resource. `target_name` can be only one of the following: ||
| `linkedResource` | `string` The full name of the Google Cloud Platform resource the Data Catalog entry represents. For more information, see [Full Resource Name](https://cloud.google.com/apis/design/resource_names#full_resource_name). Full names are case-sensitive. For example: - `//bigquery.googleapis.com/projects/{PROJECT_ID}/datasets/{DATASET_ID}/tables/{TABLE_ID}` - `//pubsub.googleapis.com/projects/{PROJECT_ID}/topics/{TOPIC_ID}` |
| `sqlResource` | `string` The SQL name of the entry. SQL names are case-sensitive. Examples: - `pubsub.topic.{PROJECT_ID}.{TOPIC_ID}` - `pubsub.topic.{PROJECT_ID}.`\``{TOPIC.ID.SEPARATED.WITH.DOTS}`\` - `bigquery.table.{PROJECT_ID}.{DATASET_ID}.{TABLE_ID}` - `bigquery.dataset.{PROJECT_ID}.{DATASET_ID}` - `datacatalog.entry.{PROJECT_ID}.{LOCATION_ID}.{ENTRY_GROUP_ID}.{ENTRY_ID}` Identifiers (`*_ID`) should comply with the [Lexical structure in GoogleSQL](https://cloud.google.com/bigquery/docs/reference/standard-sql/lexical). |
| `fullyQualifiedName` | `string` [Fully Qualified Name (FQN)](https://cloud.google.com//data-catalog/docs/fully-qualified-names) of the resource. FQNs take two forms: - For non-regionalized resources: `{SYSTEM}:{PROJECT}.{PATH_TO_RESOURCE_SEPARATED_WITH_DOTS}` - For regionalized resources: `{SYSTEM}:{PROJECT}.{LOCATION_ID}.{PATH_TO_RESOURCE_SEPARATED_WITH_DOTS}` Example for a DPMS table: `dataproc_metastore:{PROJECT_ID}.{LOCATION_ID}.{INSTANCE_ID}.{DATABASE_ID}.{TABLE_ID}` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries#Entry`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).